#ifndef __G3D_FACE_H__
#define __G3D_FACE_H__

#include <g3d/types.h>

G_BEGIN_DECLS

void g3d_face_free(G3DFace *face);

/**
 * g3d_face_get_normal:
 * @face: face to calculate normal of
 * @object: object containing vertices of face
 * @nx: x component of resulting normal
 * @ny: y component of resulting normal
 * @nz: z component of resulting normal
 *
 * calculates the normal of a face.
 *
 * Returns: TRUE on success, FALSE else
 */

gboolean g3d_face_get_normal(G3DFace *face, G3DObject *object,
	gfloat *nx, gfloat *ny, gfloat *nz);

G_END_DECLS

#endif /* __G3D_FACE_H__ */
