#ifndef __G3D_VECTOR_H__
#define __G3D_VECTOR_H__

#include <glib.h>

G_BEGIN_DECLS

/**
 * g3d_vector_normal:
 * @ax: x component first vector
 * @ay: y component first vector
 * @az: z component first vector
 * @bx: x component second vector
 * @by: y component second vector
 * @bz: z component second vector
 * @nx: x component resulting normal
 * @ny: y component resulting normal
 * @nz: z component resulting normal
 *
 * calculate the normal from a plane defined by two vectors
 *
 * Returns: TRUE on success, FALSE else
 */
gboolean g3d_vector_normal(gfloat ax, gfloat ay, gfloat az,
	gfloat bx, gfloat by, gfloat bz,
	gfloat *nx, gfloat *ny, gfloat *nz);

gboolean g3d_vector_unify(gfloat *nx, gfloat *ny, gfloat *nz);

gboolean g3d_vector_transform(gfloat *x, gfloat *y, gfloat *z, gfloat *matrix);

G_END_DECLS

#endif /* __G3D_VECTOR_H__ */
